> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Account Deletion



## OpenAPI

````yaml /openapi.json post /v1/me/deletion-request
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/me/deletion-request:
    post:
      tags:
        - Me
      summary: Request Account Deletion
      operationId: request_account_deletion_v1_me_deletion_request_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountDeletionRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountDeletionResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    AccountDeletionRequest:
      properties:
        confirmation:
          const: DELETE
          title: Confirmation
          type: string
      required:
        - confirmation
      title: AccountDeletionRequest
      type: object
    AccountDeletionResponse:
      properties:
        audit_receipt_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Audit Receipt Id
        completed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Completed At
        failure_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Failure Code
        id:
          format: uuid
          title: Id
          type: string
        recoverable_until:
          format: date-time
          title: Recoverable Until
          type: string
        requested_at:
          format: date-time
          title: Requested At
          type: string
        status:
          enum:
            - recoverable
            - cancelled
            - purging
            - completed
            - failed
          title: Status
          type: string
      required:
        - id
        - status
        - requested_at
        - recoverable_until
      title: AccountDeletionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http

````